import request from '@/utils/request'

// 查询资源点位对象列表
export function listInfo(query) {
  return request({
    url: '/supporting/info/list',
    method: 'get',
    params: query
  })
}

// 查询资源点位对象详细
export function getInfo(infoId) {
  return request({
    url: '/supporting/info/' + infoId,
    method: 'get'
  })
}

// 新增资源点位对象
export function addInfo(data) {
  return request({
    url: '/supporting/info',
    method: 'post',
    data: data
  })
}

// 修改资源点位对象
export function updateInfo(data) {
  return request({
    url: '/supporting/info',
    method: 'put',
    data: data
  })
}

// 删除资源点位对象
export function delInfo(infoId) {
  return request({
    url: '/supporting/info/' + infoId,
    method: 'delete'
  })
}

// 导出资源点位对象
export function exportInfo(query) {
  return request({
    url: '/supporting/info/export',
    method: 'get',
    params: query
  })
}
  export function getType() {
  return request({
    url: '/supporting/type/listAll',
    method: 'get'
  })
}
